Development

circle-info

First you need to authenticate your API user: Authentication

build-add

post

Register new build of the application component.

Authorizations
AuthorizationstringRequired

Authorization header using the Bearer scheme. Example: "Bearer eyJhbGciOi..."

Body
versionstringRequired
component_idstringRequired

Component ID you can copy in Applications tab under Administration section.

Responses
chevron-right
200

Workflow response

application/json
statusstringOptional

Outcome of the workflow

post
/wf/build-add

deployment-add

post

Register new deployment of the application component.

Authorizations
AuthorizationstringRequired

Authorization header using the Bearer scheme. Example: "Bearer eyJhbGciOi..."

Body
component_idstringRequired

Component ID you can copy in Applications tab under Administration section.

versionstringRequired
environmentoption set · enumRequiredPossible values:
Responses
chevron-right
200

Workflow response

application/json
statusstringOptional

Outcome of the workflow

responseobjectOptional
post
/wf/deployment-add

Last updated